Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.render
Class TiledRenderableImageCanvas

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--com.vistech.jai.render.JAIImageCanvas
                              |
                              +--com.vistech.jai.render.RenderedImageCanvas
                                    |
                                    +--com.vistech.jai.render.TiledRenderableImageCanvas

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, ScrollController, java.io.Serializable

public class TiledRenderableImageCanvas
extends RenderedImageCanvas

A component class for drawing large renderable images.

Version:
  1.0 18 Apr 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected int` | `displayMode`
`protected int` | `interpolationMode`
`protected int` | `maxHeight`
`protected int` | `maxWidth`
`static int` | `ORIG_SIZE`
`static int` | `SCALED`
`protected java.awt.image.renderable.RenderableImage` | `sourceImage`
`protected float` | `sourceImageHeight`
`protected float` | `sourceImageWidth`
`static int` | `TO_FIT`

Fields inherited from class com.vistech.jai.render.RenderedImageCanvas
`colorModel, displayImage, imageHeight, imageWidth, maxTileCordX, maxTileCordY, maxTileIndexX, maxTileIndexY, minTileCordX, minTileCordY, minTileIndexX, minTileIndexY, origImage, sampleModel, tc, tileGridXOffset, tileGridYOffset, tileHeight, tileWidth, viewerHeight, viewerWidth`

Fields inherited from class com.vistech.jai.render.JAIImageCanvas
`atx, height, image, imageDrawn, MAX_HEIGHT, MAX_WIDTH, panOffset, panX, panY, scrollAnchor, scrollOn, vpPos, width`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`TiledRenderableImageCanvas()`
`TiledRenderableImageCanvas(java.awt.image.renderable.RenderableImage img)`

Method Summary
`protected javax.media.jai.PlanarImage` | `createPixelImage(java.awt.image.renderable.RenderableImage pixelLessImg)`
`protected javax.media.jai.PlanarImage` | `createPlanarImage(java.awt.image.renderable.RenderableImage pixelLessImg)`
`int` | `getDisplayMode()`
`int` | `getInterpolationMode()`
`void` | `setDisplayMode(int dispMode)`
`void` | `setImage(java.awt.image.renderable.RenderableImage pixelLessImg)`
`void` | `setInterpolationMode(int interpMode)`
`void` | `setOrigImageSize(java.awt.Dimension size)`
`void` | `setTileHeight(int th)` Sets the tile height of the formatted image.
`void` | `setTileWidth(int tw)` Sets the tile width of the formatted image.

Methods inherited from class com.vistech.jai.render.RenderedImageCanvas
`fireTilePropertyChange, getDisplayImage, getImageHeight, getImageWidth, getMaxTileIndexX, getMaxTileIndexY, getTileHeight, getTileInfo, getTileWidth, makeTiledImage, paintComponent, setImage`

Methods inherited from class com.vistech.jai.render.JAIImageCanvas
`getImage, getPanOffset, getScrollOn, getTransform, getViewportPosition, isImageDrawn, pan, reset, scroll, setPanOffset, setScrollOn, setTransform, setViewportPosition, startScroll, stopScroll`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TO_FIT

    public static final int TO_FIT

### SCALED

    public static final int SCALED

### ORIG_SIZE

    public static final int ORIG_SIZE

### sourceImage

    protected java.awt.image.renderable.RenderableImage sourceImage

### interpolationMode

    protected int interpolationMode

### displayMode

    protected int displayMode

### sourceImageHeight

    protected float sourceImageHeight

### sourceImageWidth

    protected float sourceImageWidth

### maxHeight

    protected int maxHeight

### maxWidth

    protected int maxWidth

Constructor Detail

### TiledRenderableImageCanvas

    public TiledRenderableImageCanvas()

### TiledRenderableImageCanvas

    public TiledRenderableImageCanvas(java.awt.image.renderable.RenderableImage img)

Method Detail

### setImage

    public void setImage(java.awt.image.renderable.RenderableImage pixelLessImg)

### setDisplayMode

    public void setDisplayMode(int dispMode)

### getDisplayMode

    public int getDisplayMode()

### setOrigImageSize

    public void setOrigImageSize(java.awt.Dimension size)

### setInterpolationMode

    public void setInterpolationMode(int interpMode)

### getInterpolationMode

    public int getInterpolationMode()

### createPlanarImage

    protected javax.media.jai.PlanarImage createPlanarImage(java.awt.image.renderable.RenderableImage pixelLessImg)

### createPixelImage

    protected javax.media.jai.PlanarImage createPixelImage(java.awt.image.renderable.RenderableImage pixelLessImg)

### setTileWidth

    public void setTileWidth(int tw)

  Description copied from class: `RenderedImageCanvas`
  Sets the tile width of the formatted image.
  Overrides:
    `setTileWidth` in class `RenderedImageCanvas`
  Following copied from class: `com.vistech.jai.render.RenderedImageCanvas`
  Parameters:
    `int` - the tile width.

### setTileHeight

    public void setTileHeight(int th)

  Description copied from class: `RenderedImageCanvas`
  Sets the tile height of the formatted image.
  Overrides:
    `setTileHeight` in class `RenderedImageCanvas`
  Following copied from class: `com.vistech.jai.render.RenderedImageCanvas`
  Parameters:
    `int` - the tile height.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD